## org.hibernate.impl
Class IteratorImpl

    java.lang.Object
      org.hibernate.impl.IteratorImpl

All Implemented Interfaces:
  Iterator, HibernateIterator

    public final class IteratorImpl

extends Object
implements HibernateIterator

An implementation of `java.util.Iterator` that is returned by `iterate()` query execution methods.

Author:
  Gavin King

Constructor Summary
`IteratorImpl(ResultSet rs, PreparedStatement ps, EventSource sess, boolean readOnly, Type[] types, String[][] columnNames, HolderInstantiator holderInstantiator)`

Method Summary
`void` `close()`
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorImpl

    public IteratorImpl(ResultSet rs,
                        PreparedStatement ps,
                        EventSource sess,
                        boolean readOnly,
                        Type[] types,
                        String[][] columnNames,
                        HolderInstantiator holderInstantiator)
                 throws HibernateException,
                        SQLException

Throws:
  `HibernateException`
  `SQLException`

Method Detail

### close

    public void close()
               throws JDBCException

  Specified by:
    `close` in interface `HibernateIterator`
  Throws:
    `JDBCException`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws HibernateException

  Specified by:
    `next` in interface `Iterator`
  Throws:
    `HibernateException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.